diff --git a/src/backend/optimizer/path/allpaths.c b/src/backend/optimizer/path/allpaths.c
index d84f66a81b..fffcead927 100644
--- a/src/backend/optimizer/path/allpaths.c
+++ b/src/backend/optimizer/path/allpaths.c
@@ -3290,7 +3290,11 @@ make_rel_from_joinlist(PlannerInfo *root, List *joinlist)
 		if (join_search_hook)
 			return (*join_search_hook) (root, levels_needed, initial_rels);
 		else if (enable_geqo && levels_needed >= geqo_threshold)
+		{
+			elog(DEBUG1, "the number of join nodes %d is larger than geqo_threshold %d",
+				levels_needed, geqo_threshold);
 			return geqo(root, levels_needed, initial_rels);
+		}
 		else
 			return standard_join_search(root, levels_needed, initial_rels);
 	}
